# Visualization
TKV2d
Graphic2d

# Graphic2d_HArray1OfVertex Class Reference

`#include <Graphic2d_HArray1OfVertex.hxx>`

## Public Member Functions

Standard_EXPORT | Graphic2d_HArray1OfVertex (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Graphic2d_HArray1OfVertex (const Standard_Integer Low, const Standard_Integer Up, const Graphic2d_Vertex &V)
Standard_EXPORT void | Init (const Graphic2d_Vertex &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Graphic2d_Vertex &Value)
const Graphic2d_Vertex & | Value (const Standard_Integer Index) const
Graphic2d_Vertex & | ChangeValue (const Standard_Integer Index)
const Graphic2d_Array1OfVertex & | Array1 () const
Graphic2d_Array1OfVertex & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Graphic2d_Array1OfVertex | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Graphic2d_HArray1OfVertex::Graphic2d_HArray1OfVertex | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Graphic2d_HArray1OfVertex::Graphic2d_HArray1OfVertex | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Graphic2d_Vertex & | V
| ) |

## Member Function Documentation

const Graphic2d_Array1OfVertex& Graphic2d_HArray1OfVertex::Array1 | ( |  | ) | const

Graphic2d_Array1OfVertex& Graphic2d_HArray1OfVertex::ChangeArray1 | ( |  | ) |

Graphic2d_Vertex& Graphic2d_HArray1OfVertex::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Graphic2d_HArray1OfVertex::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void Graphic2d_HArray1OfVertex::Init | ( | const Graphic2d_Vertex & | V | ) |

Standard_Integer Graphic2d_HArray1OfVertex::Length | ( |  | ) | const

Standard_Integer Graphic2d_HArray1OfVertex::Lower | ( |  | ) | const

void Graphic2d_HArray1OfVertex::SetValue | ( | const Standard_Integer | Index,
|  | const Graphic2d_Vertex & | Value
| ) |

Standard_Integer Graphic2d_HArray1OfVertex::Upper | ( |  | ) | const

const Graphic2d_Vertex& Graphic2d_HArray1OfVertex::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Graphic2d_Array1OfVertex Graphic2d_HArray1OfVertex::myArray `[private]`

The documentation for this class was generated from the following file:

- Graphic2d_HArray1OfVertex.hxx